.bp3-datepicker {
  box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  padding: 12px 0;
  .bp3-html-select .bp3-icon {
    padding-left: 4px;
  }
  .bp3-menu-item {
    line-height: 24px;
    padding: 4px 12px;
    color: #292929;
    font-size: 13px;
    &:hover {
      background: rgba(0, 94, 184, 0.08);
    }
    &.bp3-active {
      &:hover {
        background-color: #002C5F;
      }
    }
  }
  &.bp3-daterangepicker {
    .DayPicker {
      padding-right: 0;
      .bp3-datepicker-navbar {
        right: 0;
      }
      + .DayPicker {
        padding-left: 0;
        padding-right: 12px;
        .bp3-datepicker-navbar {
          right: 12px;
          left: 0;
        }
      }
    }
  }
  .bp3-daterangepicker-timepickers {
    .bp3-timepicker {
      margin: 0;
    }
    .bp3-html-select {
      .bp3-icon {
        padding-left: 0;
        right: 12px;
      }
    }
    .bp3-html-select select {
      color: #292929;
      border: 1px solid #EBEBEB;
      border-radius: 4px;
      padding: 0 32px 0 12px;
      &:hover {
        background: #ffffff;
        color: #292929;
        border-radius: 4px;
      }
    }
    .bp3-timepicker + .bp3-timepicker {
      margin-left: 16px;
    }
  }
  .bp3-button.bp3-minimal:hover {
    background: rgba(0, 94, 184, 0.08);
  }
  .bp3-divider {
    margin: 8px 0;
  }
  .DayPicker-Day.DayPicker-Day--outside {
    color: #B2B2B2;
  }
  .bp3-datepicker-navbar {
    height: auto;
    left: 12px;
    right: 12px;
  }
  .bp3-button {
    padding: 0 4px;
    min-height: 24px;
    min-width: 24px;
    .bp3-icon {
      color: unset;
    }
  }

  .DayPicker-Month {
    margin: 0;
  }

  .bp3-datepicker-caption {
    margin-bottom: 0;
    select {
      height: 24px;
    }
    .bp3-icon {
      top: 4px;
    }
  }

  .bp3-html-select select, .bp3-select select {
    border: unset;
    color: $black3;
    font-weight: normal;
  }

  .bp3-html-select {
    select:hover {
      background: rgba(0, 94, 184, 0.08);
      color: #292929;
      border-radius: 0;
    }
  }

  .DayPicker-Weekday {
    font-weight: normal;
    font-size: 13px;
    line-height: 26px;
    text-align: center;
    padding-top: 0;
    color: #292929;
  }
  .bp3-datepicker-day-wrapper {
    line-height: 28px;
    padding: 0;
    text-align: center;
  }
  .DayPicker{
    padding: 0 12px;
    + .bp3-divider {
      margin: 8px 12px;
    }
    &-Day {
      font-style: normal;
      font-weight: normal;
      font-size: 13px;
      border-radius: 4px;
      &.DayPicker-Day--selected-range {
        border-radius: 0;
      }
      &.DayPicker-Day--hovered-range {
        border-radius: 0;
        &.DayPicker-Day--hovered-range-end {
          border-top-right-radius: 4px;
          border-bottom-right-radius: 4px;
        }
      }
      &:not(.DayPicker-Day--outside) .bp3-datepicker-day-wrapper {
        color: $black3;
      }
      &:hover, &:active {
        background: rgba(0, 94, 184, 0.08);
      }
      &.DayPicker-Day--isToday {
        .bp3-datepicker-day-wrapper {
          border: 1px solid $oxford-blue3;
          border-radius: 4px;
        }
      }
      &:focus {
        background-color: rgba(0, 94, 184, 0.08);
        border-radius: 4px;
      }
      &.DayPicker-Day--selected {
        background-color: $rt-blue2;
        border-radius: 4px;
        .bp3-datepicker-day-wrapper {
          color: $white5;
        }
        &:hover {
          background-color: $rt-blue2;
          border-radius: 4px;
        }
      }
    }
  }
  .bp3-menu + .bp3-divider {
    margin: 0;
  }
}

.bp3-daterangepicker {
  .DayPicker:first-child() {
    margin-right: 16px;
  }
}

.bp3-datepicker-footer {
  padding: 0 12px;
}

.bp3-daterangepicker-timepickers {
  margin: 8px 12px 0;
  padding-top: 8px;
  border-top: 1px solid rgba(16, 22, 26, 0.15)
}

.bp3-timepicker .bp3-timepicker-ampm-select {
  &.bp3-html-select .bp3-icon {
    right: 12px;
  }
  select{
    padding: 0 36px 0 12px;
  }
}
